/preview/reports/realtime
curl --request POST \
--url https://api.criteo.com/preview/reports/realtime \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "GenerateRealtimeStatisticsReport",
"attributes": {
"advertiserIds": [
"123",
"456"
],
"campaignIds": [
"111"
],
"adsetIds": [
"135"
],
"dimensions": [
"AdvertiserId",
"Advertiser",
"CampaignId",
"Campaign",
"AdsetId",
"Adset",
"Day",
"Hour"
],
"metrics": [
"Displays",
"Clicks",
"Cost"
],
"lookbackWindow": 12,
"currency": "EUR",
"timezone": "Europe/Paris"
}
}
}
'import requests
url = "https://api.criteo.com/preview/reports/realtime"
payload = { "data": {
"type": "GenerateRealtimeStatisticsReport",
"attributes": {
"advertiserIds": ["123", "456"],
"campaignIds": ["111"],
"adsetIds": ["135"],
"dimensions": ["AdvertiserId", "Advertiser", "CampaignId", "Campaign", "AdsetId", "Adset", "Day", "Hour"],
"metrics": ["Displays", "Clicks", "Cost"],
"lookbackWindow": 12,
"currency": "EUR",
"timezone": "Europe/Paris"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'GenerateRealtimeStatisticsReport',
attributes: {
advertiserIds: ['123', '456'],
campaignIds: ['111'],
adsetIds: ['135'],
dimensions: [
'AdvertiserId',
'Advertiser',
'CampaignId',
'Campaign',
'AdsetId',
'Adset',
'Day',
'Hour'
],
metrics: ['Displays', 'Clicks', 'Cost'],
lookbackWindow: 12,
currency: 'EUR',
timezone: 'Europe/Paris'
}
}
})
};
fetch('https://api.criteo.com/preview/reports/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"rows": [
{}
]
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/reports/realtime
With Realtime endpoint, you can analyse the realtime values of the main metrics: displays, clicks, cost.
POST
/
preview
/
reports
/
realtime
/preview/reports/realtime
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsonapplication/xmltext/xmlapplication/*+xml
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
Success
A top-level object that encapsulates a Criteo API response for several value objects.
Was this page helpful?
⌘I